tbb::flow::interface10::graph::wait_functor Class Reference
Collaboration diagram for tbb::flow::interface10::graph::wait_functor:

## Public Member Functions

| wait_functor (tbb::task *t)
void | operator() () const

## Private Attributes

tbb::task * | graph_root_task

## Detailed Description

Definition at line 248 of file _flow_graph_impl.h.

## Constructor & Destructor Documentation

## wait_functor()

tbb::flow::interface10::graph::wait_functor::wait_functor | ( | tbb::task * | t | ) |

inline

Definition at line 251 of file _flow_graph_impl.h.

: graph_root_task(t) {}
tbb::flow::interface10::graph::wait_functor::graph_root_task
tbb::task * graph_root_task
Definition: _flow_graph_impl.h:249

## Member Function Documentation

## operator()()

void tbb::flow::interface10::graph::wait_functor::operator() | ( |  | ) | const

inline

Definition at line 252 of file _flow_graph_impl.h.

{ graph_root_task->wait_for_all(); }
tbb::task::wait_for_all
void wait_for_all()
Wait for reference count to become one, and set reference count to zero.
Definition: task.h:819

References graph_root_task, and tbb::task::wait_for_all().

Here is the call graph for this function:

## Member Data Documentation

## graph_root_task

tbb::task* tbb::flow::interface10::graph::wait_functor::graph_root_task

private

Definition at line 249 of file _flow_graph_impl.h.

Referenced by operator()().

The documentation for this class was generated from the following file:

- _flow_graph_impl.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.